Skip to main content
POST
/
webhooks
Create webhook
curl --request POST \
  --url https://app.strix.ai/api/v1/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "is_active": true
}
'
{
  "webhook": {
    "id": "<string>",
    "url": "<string>",
    "events": [
      "<string>"
    ],
    "secret_prefix": "<string>",
    "is_active": true,
    "last_success_at": "2023-11-07T05:31:56Z",
    "last_failure_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "secret": "<string>"
}

Authorizations

Authorization
string
header
required

API token from Settings > API Access

Body

application/json
url
string<uri>
required
events
string[]
required
is_active
boolean
default:true

Response

201 - application/json

Webhook created. The secret is returned only once.

webhook
object
secret
string

Webhook signing secret (shown only once)